PDA

View Full Version : SUB: Compile error occurring on visual studio 2010



sethupathy
January 20, 2017, 12:08:11
Hi,

The code is developed by visual studio 6.0 earlier versions, but now I am using visual studio 2010 and while compile I received an error which is given below
errorC1189: #error “Wrong Compiler. This library does only run with Visual C++ 7.1 and Visual C++ 6. Newer versions are currently not supported."

IntelliSense: #error directive: “Wrong Compiler. This library does only run with Visual C++ 7.1 and Visual C++ 6. Newer versions are currently not supported."

These errors belongs to udshl_lnk.h file

Kindly help me to solve this issue.

Stefan Geissler
January 20, 2017, 12:48:05
I guess, you use IC Imaging Control 3.0?

Update to version 3.4.

https://www.theimagingsource.com/support/downloads-for-windows/software-development-kits-sdks/icimagingcontrol/